opencv (4.6.0+dfsg-4ubuntu5) lunar; urgency=medium

  * (Build-)depend on libtbb-dev instead of libtbb2-dev for
    tbb -> onetbb transition

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Dec 2022 13:34:49 +0000

opencv (4.6.0+dfsg-4ubuntu4) kinetic; urgency=medium

  * Build with GCC 11 to fix runtime crash.
    - debian/control: added gcc-11 and g++-11 to Build-Depends.
    - debian/rules: set CC and CXX in override_dh_auto_configure.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 23 Aug 2022 09:04:14 -0400

opencv (4.6.0+dfsg-4ubuntu3) kinetic; urgency=medium

  * No-change rebuild against libopenexr3-1-30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 04:03:46 +0000

opencv (4.6.0+dfsg-4ubuntu2) kinetic; urgency=medium

  * d/patches/ffmpeg5.patch: Remove references to deprecated
    ffmpeg constants.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 05 Aug 2022 13:50:28 -0500

opencv (4.6.0+dfsg-4ubuntu1) kinetic; urgency=medium

  * Switch again to tbb2, needed for opencolorio

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Aug 2022 17:13:39 +0200

opencv (4.6.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Jul 2022 22:22:48 +0200

opencv (4.6.0+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Don't build static Python 3 module

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 30 Jun 2022 13:13:22 +0200

opencv (4.6.0+dfsg-2) experimental; urgency=medium

  [ Adrian Bunk ]
  * Team upload.
  * Link with libatomic on architectures that might need it

  [ Jochen Sprickerhof ]
  * Clean up old Breaks/Conflicts/Replaces
  * Drop versioned dependency (in oldoldstable)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jun 2022 07:39:59 +0200

opencv (4.6.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update d/copyright
  * Use oversionmangle in d/watch
  * Add d/gbp.conf to import component as well
  * New upstream version 4.6.0+dfsg (Closes: #1004718)
  * Drop patch for debian-specific SOVERSION
  * Drop salsa-ci.yml
  * Rename packages due to Soname change
  * Make libopencv-java unversioned
  * Drop old manpages
  * Bump policy version (no changes)
  * Use dh-sequences
  * Remove old files in d/

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 24 Jun 2022 10:06:16 +0200

opencv (4.5.4+dfsg-9) unstable; urgency=medium

  * Fix broken symlink
  * Apply MA hint

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Nov 2021 23:32:18 +0100

opencv (4.5.4+dfsg-8) unstable; urgency=medium

  * Resolve file conflict with libopencv4.5-jni (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Nov 2021 13:24:59 +0100

opencv (4.5.4+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Add patch for Debian Soname in pkg-config (Closes: #1000625)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Nov 2021 09:52:16 +0100

opencv (4.5.4+dfsg-6) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Nov 2021 22:21:16 +0100

opencv (4.5.4+dfsg-5) experimental; urgency=medium

  * Keep package name libopencv4.5-java

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Nov 2021 20:56:30 +0100

opencv (4.5.4+dfsg-4) experimental; urgency=medium

  * Also add -d suffix to jar files (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Fri, 19 Nov 2021 18:43:14 +0100

opencv (4.5.4+dfsg-3) experimental; urgency=medium

  * Also add -d suffix to shared library filenames (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Nov 2021 15:09:55 +0100

opencv (4.5.4+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Bump SOVERSION to 4.5d after upstream ABI breakage (Closes: #998141)

 -- Timo Röhling <roehling@debian.org>  Sat, 13 Nov 2021 12:49:30 +0100

opencv (4.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version 4.5.4+dfsg.
  * Update d/control
    - Add dh-sequence-python3 to B-D

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 18 Oct 2021 11:54:56 +0900

opencv (4.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 4.5.3+dfsg.
  * Add barcode and wechat-qrcode libraries to libopencv-contrib package.
  * Add opencv_model_diagnostics to libopencv-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Aug 2021 15:46:54 +0900

opencv (4.5.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Drop depends between library packages (Closes: #979809)
  * Drop ${java:Depends}/${java:Recommends} (undefined)
  * Update libgdcm-dev arch list (Closes: #987621)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Jun 2021 14:09:47 +0200

opencv (4.5.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Revert "Fix debian-rules-sets-DEB_BUILD_OPTIONS"
  * Add more Breaks for old ros-vision-opencv packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Dec 2020 12:01:15 +0100

opencv (4.5.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks for packages encoding old library names
  * Fix debian-rules-sets-DEB_BUILD_OPTIONS
  * Remove wrong lintian-overrides
  * bump policy and debhelper versions
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 30 Dec 2020 17:24:43 +0100

opencv (4.5.1+dfsg-2) unstable; urgency=medium

  [ Mo Zhou ]
  * Bump B-D from VTK-7 to VTK-9.
  * Add runtime Deps libcharls2 for python3-opencv. (Closes: #978452)

  [ Pino Toscano ]
  * Fix FTBFS on architectures without java. (Closes: #978028)

 -- Mo Zhou <lumin@debian.org>  Tue, 29 Dec 2020 14:45:26 +0800

opencv (4.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version 4.5.1+dfsg
  * Refresh installation paths for upstream 4.5.1 release.
  * Mark libopencv*-{java,jni} as Multi-Arch: no. (Closes: #969957)
  * Correct bogus build dependencies on gdcm packages (Closes: #977991)
  * Demote libopencv*-java to Recommends for libopencv-dev. (Closes: #969960)

 -- Mo Zhou <lumin@debian.org>  Thu, 24 Dec 2020 14:03:53 +0800

opencv (4.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 22 Dec 2020 14:47:25 +0800

opencv (4.5.0+dfsg-1) experimental; urgency=medium

  * New upstream version 4.5.0+dfsg (Closes: #959526)
  * Bump VERSION from 4.4.0->4.5.0 for all control files.
  * Install the newly added "mcc" module to libopencv-contrib{4.5,-dev}.
  * d/copyright: Global license has been changed into Apache-2.0
  * Deprecate libavresample in favor of libswresample. (Closes: #971330)
  * Replace B-D libdc1394-22-dev with libdc1394-dev. (Closes: #970842)
  * Bump VTK dep from libvtk6-dev to libvtk7-dev.
  * Refresh d/copyright for opencv 4.5.0.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Wed, 02 Dec 2020 17:01:26 +0800

opencv (4.4.0+dfsg2-1) experimental; urgency=medium

  * New upstream version 4.4.0+dfsg2 (Closes: #959526)
  * Refresh existing patches.
  * Bump VERSION from 4.3->4.4 for all control files.
  * rules: Add a comment on WITH_QT=OFF.
  * rules: Toggle cmake option -DWITH_GPHOTO2=ON. (Closes: #963143)
  * d/copyright: Filter out one more lena image.

 -- Mo Zhou <lumin@debian.org>  Sat, 05 Sep 2020 14:08:36 +0800

opencv (4.3.0+dfsg-1) experimental; urgency=medium

  * New upstream version 4.3.0+dfsg
  * Bump SOVER from 4.2 to 4.3 for control files.

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Apr 2020 14:51:13 +0800

opencv (4.2.0+dfsg-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * Really drop statically linked tests (Closes: #943706)

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Use correct machine-readable copyright file URI.
  * Add debian/upstream/metadata
  * Re-add riscv64 which is not known yet to cme and thus was removed to run cme successfully

  [ Mo Zhou ]
  * Really disable building test code and remove bin:libopencv-ts-dev.
  * Mark libopencv4.2-java as M-A: foreign. (Closes: #942016)

 -- Mo Zhou <lumin@debian.org>  Thu, 02 Apr 2020 21:35:38 +0800

opencv (4.2.0+dfsg-5) unstable; urgency=medium

  [ Mo Zhou ]
  * Enable building with gstreamer as per user request.
  * Bump Standards-Version to 4.5.0 (no change).
  * Specify Rules-Requires-Root: no.

  [ Aurelien Jarno ]
  * Re-enable features disabled on riscv64. (Closes: #951464)

 -- Mo Zhou <lumin@debian.org>  Tue, 18 Feb 2020 11:31:25 +0800

opencv (4.2.0+dfsg-4) unstable; urgency=medium

  * Skip dh_dwz on mipsel architecture.

 -- Mo Zhou <lumin@debian.org>  Mon, 03 Feb 2020 09:14:53 +0800

opencv (4.2.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 01 Feb 2020 11:14:25 +0800

opencv (4.2.0+dfsg-2) experimental; urgency=medium

  * Remove unnecessary CPU baseline/dispatch flags and use upstream default.
  * Stop building examples (-DBUILD_EXAMPLES=OFF) (Closes: #943706)
  * Build without Java on several port architectures.
    (Thanks Samuel Thibault) (Closes: #948248)
  * Initialize autopkgtest: read image via python interface.
  * No longer build tests for the shared object build.
  * Remove get-orig-source target as uscan is already useful enough.
  * Override lintian warnings for libopencv-dev::opencv4.pc .
  * Bump debhelper compat level to 12 and deprecate d/compat.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Fri, 10 Jan 2020 16:58:15 +0800

opencv (4.2.0+dfsg-1) experimental; urgency=medium

  * New upstream version 4.2.0+dfsg
  * control: bump SOVERSION from 4.1 to 4.2
  * Let libopencv4.2-java breaks&replaces libopencv4.1-java.
  * Bump SOVERSION for install control files and pom.xml.
  * Remove obsolete patch workaround-javadoc-failure.patch .
  * Remove obsolete patch cmake-mips-no-msa.patch.
  * Add the missing B-D libilmbase-dev.
  * Add patch cmake-revert-openexr.patch to prevent FTBFS.
  * Add missing B-D python3-bs4.
    Make this package buildtable for RISCV64.
  * Remove SSE3 and AVX from dynamic dispatching list for amd64.
  * Explicitly set WITH_LAPACK and WITH_PROTOBUF to ON, and WITH_QT to OFF.
  * Add WITH_NGRAPH=OFF to cmake options.
  * Update my email address.

 -- Mo Zhou <lumin@debian.org>  Tue, 31 Dec 2019 12:33:06 +0800

opencv (4.1.2+dfsg-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Replace libgdbm2-dev with libgdbm-dev,
    and libvtkgdcm2-dev with libvtkgdcm-dev. (closes: #944341)

  [ Mo Zhou ]
  * Add AVX512_COMMON to amd64 dispatch list, and VFPV3,NEON to arm64 list.
  * Exclude gdcm development packages from B-D on non-release architectures.

  [ Gianfranco Costamagna ]
  * Remove builddir-static to save some space (Closes: #943706)

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 24 Nov 2019 16:08:26 +0800

opencv (4.1.2+dfsg-4) unstable; urgency=medium

  * Disable MSA (MIPS* arch) to avoid ISA violation. (Closes: #942561)
  * Re-enable pkg-config file generation. (Closes: #942562)
  * Install the opencv4.pc file to libopencv-dev

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 18 Oct 2019 14:39:01 +0000

opencv (4.1.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable and start transition.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 16 Oct 2019 16:46:08 +0800

opencv (4.1.2+dfsg-2) experimental; urgency=medium

  * Deprecate the Python2 package: python-opencv. (Closes: #937199)
  * Don't run unit tests on mipsel at all.
  * Revert "Bump VTK B-D from libvtk6-dev to libvtk7-dev." for portability.
  * Rebuild in experimental (Closes: #940483)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 15 Oct 2019 11:42:43 +0800

opencv (4.1.2+dfsg-1) experimental; urgency=medium

  * New upstream version 4.1.2+dfsg
  * Files-Excluded: exclude more Lena images from the source.
  * Drop patches for "fixing the atomic linkage".
  * Bump version numbers for java files from 4.1.1 to 4.1.2.
  * Install the new contrib module dnn_superres.
  * Use "noopt" and "-gsplit-dwarf" on mipsel.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 13 Oct 2019 16:51:16 +0800

opencv (4.1.1+dfsg-3) experimental; urgency=medium

  * Disable parallel build for mips* architectures due to OOM issue.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Sep 2019 14:35:37 +0800

opencv (4.1.1+dfsg-2) experimental; urgency=medium

  * Enable code path dispatch for SIMD optimization.
  * Prevent dh_numpy from generating depends field for every package.
  * Copyright: mention different 3rd clauses in BSD-3 licenses.
  * Fixup armel FTBFS:
    * Cherry-pick 4649728 to fix atomic linkage.
    * Cherry-pick c657c6c to fix minor issue in the atomic fix.
  * RISCV64: disable gdcm2 support and enable tbb support. (Closes: #924713)

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 20 Sep 2019 05:22:17 +0000

opencv (4.1.1+dfsg-1) experimental; urgency=medium

  * New upstream version 4.1.1+dfsg
  * Re-enable dh_auto_tests and keep performance tests disabled.
    + Allow some tests to fail.
  * Bump OpenCV version number for Java related control files.
  * Fix disordered output when building the package:
    * Use ninja (-GNinja & B-D) build.
    * Avoid parallel d/rules build steps.
    * Avoid parallel d/rules configure steps.
  * Patch a XML file to circumvent the javadoc build failure.
  * Install additional YML files to opencv-data.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 27 Aug 2019 06:12:54 +0000

opencv (4.1.0+dfsg-1) experimental; urgency=medium

  * New upstream version 4.1.0+dfsg
  * Bump SOVERSION from 4.0 to 4.1, and update installation files as well.
  * Update OpenCV version to 4.1.0 in pom.xml.
  * libopencv4.1-java Breaks&Replaces libopencv4.0-java.
  * Patch cmake to prevent it from installing excluded files.
  * New "quality" module in contrib.
  * Override several lintian warnings.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 16 Apr 2019 07:37:32 +0000

opencv (4.0.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 4.0.1+dfsg
    + Bump package names: 3.4 => 4.0
    + Bump version number for java package installation files.
    + libopencv4.0-java breaks & replaces libopencv3.4-java.
  * New place-holder packages for "gapi" module (Graph API).
    + libopencv-gapi4.0, libopencv-gapi-dev
    - Append CMake option WITH_ADE=OFF to disable building gapi,
      because WITH_ADE=ON triggers 3rdparty tarball download.
  * Remove unused "modules/dnn/3rdparty" exclusion from copyright.
  * Bump VTK B-D from libvtk6-dev to libvtk7-dev.
  * Remove sed-patch for installed CMake files and update install target.
  * Add WITH_OPENCL=on and WITH_OPENGL=on to CMake options.
  * Reflect changes of upstream installation layout.
    + /usr/include/opencv/ has been completely removed.
    + Headers have been moved to /usr/include/opencv4/opencv2/*
  * Remove debian/not-installed
  * Replace dh_install --fail-missing with override_dh_missing target.
  * Fix typo for the -DOPENCV_SKIP_PYTHON_LOADER=ON argument.
  * Pkg-config file (deprecated) is no longer provided by libopencv-dev.
  * Append myself to copyright holders of debian directory.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 04 Feb 2019 02:13:51 +0000

opencv (3.4.5+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 3.4.5+dfsg
  * Reference bugs forgot to close in changelog of previous revision.
  * Add Depends: libilmbase-dev to libopencv-dev to fix missing shlib
    deps for binary executables shipped in libopencv-dev.
  * Update the list of closed CVEs in the previous changelog section.
    Synced with Gianfranco Costamagna's Ubuntu delta (3.2.0+dfsg-5ubuntu1).
  * RM README.source, move Files-Excluded to d/copyright (Closes: #862796)
  * Breaks+Replaces libopencv3.3-java. (Closes: #880212)
  * Bump version string from 344 to 345 for Java stuff and pom.xml
  * Amend installation of python files.
  * Define OPENCV_SKIP_PYTHON_LOADER=ON.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 30 Dec 2018 10:18:57 +0000

opencv (3.4.4+dfsg-1~exp1) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * d/control:
    + Use unversioned Conflicts in libopencv-dev, to force the removal
      of some old packages.  Closes: #880921
    + Remove dbus-x11 work around now that #878878 is fixed.

  [ Nobuhiro Iwamatsu ]
  * Add libvtkgdcm2-dev, libgdcm-tools to Build-Depends.
  * Set -DBUILD_PROTOBUF=OFF in CMake options
  * Remove patches:
    - fix_ftbfs_on_non_linux, support_multiarch, mathjax
    - disable_dnn_modern, fix_java_build.patch
  * Update module list of contrib, add hfs module to contrib.
  * Install usr/share/OpenCV/licenses/SoftFloat-COPYING.txt to libopencv-dev
  * Update debhelper compatibility to 11
  * Bump Standards-Version to 4.1.5
  * Change Vcs-Git and Vcs-Browser to salsa
  * Update patches/disable_opengl_test_build
  * Update patches/change_jquery.js_path

  [ Mo Zhou ]
  * New upstream version 3.4.4+dfsg (Closes: #913330)
  * Append myself to Uploaders.
  * Remove patch disable_opengl_test_build, not useful anymore.
  * Sort CMake options in rules.
  * Explicitly enable the dnn and face modules in CMake options.
    (Closes: #909179)
  * Prevent CMake from downloading pre-trained model for face module. (patch)
  * Update jar Version in d/pom.xml
  * Fix java build/installation by explicitly specifying ANT_EXECUTABLE.
    (Ref: #914748)
  * Compile then install the text module to the -contrib package.
  * New binary package libopencv-dnn3.4, and it's corresponding dev package.
  * New shared object libopencv_dnn_objdetect.so in the -contrib package.
  * Update d/copyright.
  * Misc cleanup: fix metadata syntax error.
  * Define PROTOBUF_UPDATE_FILES=ON in cmake options in order to refresh
    protobuf related files for the dnn module.

  [ Vulnerabilities Fixed in Upstream 3.4.4 Release ]
  * CVE-2016-1516, CVE-2016-1517 (Ref: #872043)
  * CVE-2017-12597, CVE-2017-12598, CVE-2017-12599, CVE-2017-12601,
    CVE-2017-12603, CVE-2017-12604, CVE-2017-12605, CVE-2017-12606
    (Ref: 872044)
  * CVE-2017-12600, CVE-2017-12602 (Ref: #872045)
  * CVE-2017-12862 (Ref: #875342)
  * CVE-2017-12863 (Ref: #875344)
  * CVE-2017-12864 (Ref: #875345)
  * CVE-2017-14136
  * CVE-2017-17760 (Ref: #885843)
  * CVE-2017-18009
  * CVE-2017-1000450 (Ref: #886282)
  * CVE-2018-5268 (Closes: #886674)
  * CVE-2018-5269 (Closes: #886675)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 27 Nov 2018 14:13:09 +0000

opencv (3.3.0+dfsg-1~exp0) experimental; urgency=medium

  * Team upload.

  [ Nobuhiro Iwamatsu ]
  * Update to OpenCV 3.3.0.
  * Refresh patches.
    + Remove fix_VFP_asm patch, applied upstream.
  * Disable ITT.
  * Disable the dnn module through a CMake option instead of a patch.
  * Disable the dnn_modern module.
  * Add img_hasn and traking modules to libopencv-contrib.
  * Remove valgrind.supp and valgrind_3rdparty.supp.

  [ Mattia Rizzolo ]
  * d/patches:
    + Drop unused Don-t-check-sphinx-build-version.patch patch file.
    + Forward fix_ftbfs_on_non_linux.
  * d/rules:
    + Handle CPU optimization the way OpenCV 3.3 expects us to.
  * Bump debhelper compat level to 10.
    + Drop dh --parallel option, now default.
  * Drop unused lintian override debian-watch-file-should-mangle-version
  * d/patches/fix_java_build.patch: add to fix FTBFS in certain conditions.
  * d/control: place libopencv3.3-jni in section java.
  * Install maven artifacts with maven-repo-helper so reverse dependencies can
    automatically pick the dependency by using ${maven:Depends}.
    Thanks to Gilles Filippini <pini@debian.org> for the patch. Closes: #878949

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 29 Oct 2017 15:59:18 +0100

opencv (3.2.0+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix building with ffmpeg 4.0. (Closes: #888386)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 22:59:18 +0200

opencv (3.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Install maven artifacts with maven-repo-helper so reverse dependencies can
    automatically pick the dependency by using ${maven:Depends}.
    Thanks to Gilles Filippini <pini@debian.org> for the patch.  Closes: #878949
  * d/control:
    + Use unversioned Conflicts in libopencv-dev, to force the removal
      of some old packages.  Closes: #880921
    + Remove dbus-x11 work around now that #878878 is fixed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 11 Nov 2017 13:46:48 +0100

opencv (3.2.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/p/support_multiarch: forward the patch after a small edit.
  * d/p/mathjax: make the MATHJAX_RELPATH option configurable at build time
    through cmake, and then forward the patch.
  * Despite tbb being available in all linux architectures, we need it in a
    version that is not available everywhere, so revert back to enabling it
    only on a hand-picked list of architectures.  Closes: #878830
  * d/control: work around #878878 in dbus by explictly adding dbus-x11 to
    build-deps for !linux.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 17 Oct 2017 16:27:02 +0200

opencv (3.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/patches:
    + support_x32 patch: drop, it actually did nothing useful.
    + fix_ftbfs_on_non_linux: simplify patch, by removing several hunks no
      longer needed.
      Incidentally, this fixes the FTBFS in x32.  Closes: #878705
  * d/rules:
    + Enable DICOM support.  Closes: #843513
    + tbb is now available in all linux archs, so enable it for all linux-any.
    + Enable SSE and SSE2 on all architectures based on a amd64 cpu, not just
      amd64 itself
    + Use /usr/share/dpkg/architecture.mk instead of calling dpkg-architecture.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 16 Oct 2017 23:44:22 +0200

opencv (3.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.1.1:
    + Use HTTPS in debian/copyright's Format field.
  * Use HTTPS for the Homepage URL.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 13 Oct 2017 19:32:01 +0200

opencv (3.2.0+dfsg-1~exp2) experimental; urgency=medium

  * Team upload.
  * Explicitly disable carotene support to fix FTBFS on arm*.
  * Drop conditional enabling of OpenGL, it can't be enabled with GTK+3
    anyway.  Closes: #869975
  * Changelog for 3.2.0+dfsg-1~exp2

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 31 Jul 2017 10:50:25 +0200

opencv (3.2.0+dfsg-1~exp1) experimental; urgency=medium

  * Update to 3.2.0.
    - Add freetype and phase_unwrapping modules into libopencv-contrib.
    - Disable DNN and tracking module (temporary).
  * Add patches/fix_VFP_asm.patch.
  * Update Standards-Version to 4.0.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 29 Jun 2017 09:42:02 +0900

opencv (3.1.0+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Rewrite d/copyright using copyright-format 1.0.
  * Add Files-Excluded listing the removed files.
  * Update watch file, pointing to github.
  * Add the contrib modules as a multiple upstream tarball.
  * Add new build-dependencies needed by contrib modules.
  * Override lintian tag debian-watch-file-should-mangle-version (see #505857).
  * override lintian warning package-name-doesnt-match-sonames for
    libopencv-contrib.
  * Add some DEP-3 descriptions to two patches.

  [ Nobuhiro Iwamatsu ]
  * Remove obsolete files of libopencv-legacy.
  * Build the opencv_contrib libraries.  Closes: #861194
  * Fix Build with HDF5. Add patches/moudles_hdf5.patch

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Apr 2017 18:17:33 +0200

opencv (3.1.0+dfsg-1~exp5) experimental; urgency=medium

  * Team upload.
  * wrap-and-sort -ast.
  * Add (Build-)Depends on libavresample-dev.
  * Add (Build-)Depends on libgphoto2-dev.
  * Install usr/include/opencv2/cvconfig.h in libopencv-core-dev.  LP: #1315418
  * d/rules: use --fail-missing instead of --list-missing, to be really sure
    nothing is left out.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Apr 2017 01:35:03 +0200

opencv (3.1.0+dfsg-1~exp4) experimental; urgency=medium

  * Team upload.
  * debian/rules cleanup:
    + Remove rm(1)s that do not seem to do anything (anymore).
    + DRY up the BUILDDIR variable.
    + Do not mangle BUILDDIR on i386, there should be no need for it.
    + Add an override to dh_auto_install to pass the correct BUILDDIR (should
      fix FTBFS for kfreebsd-i386 (and probably this is what the original
      BUILDDIR mangling is about)).
    + Proper calls to clean cmake build products.
    + The build system is recognized by debhelper, no need to tell it.
    + Use a single cp call to copy the static libs.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Apr 2017 22:12:08 +0200

opencv (3.1.0+dfsg-1~exp3) experimental; urgency=medium

  * Team upload.
  * debian/rules:
    + Do not forcefully disable PIE anymore, -pie changed meaning.
      Also remove +fortify, as that's on by default anyway.  Closes: #859440
    + Drop empty override_dh_fixperms.
    + Remove empty directories from the installed tree.
  * debian/control:
    + Make libopencv-dev suggest opencv-doc.  Closes: #806703
    + Drop not needed libgtk2.0-dev dependency of libopencv-highgui-dev.
      Closes: #817017
    + Fix installability problem in case of binNMUs.  Closes: #844067
     Mark libopencv3.1-java as Breaking/Replacing the 2.4 version.
     Closes: #810516
    + Avoid duplicate long descriptions.
  * Build a python3 package.  Closes: #799262; LP: #1556156
    Thanks to Kota Kato <orangain@gmail.com> for the initial patch.
  * Use dh_numpy instead of hardconding the numpy ABI number.
  * Build with GTK+ 3 (instead of GTK+ 2). (Closes: #822607)
  * Remove disabled patches
  * Refresh patches.
  * Remove obsolete lintian override.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Apr 2017 22:25:01 +0200

opencv (3.1.0+dfsg-1~exp2) experimental; urgency=medium

  * Fix Depends of libopencv-shape3.1 and libopencv-shape-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Oct 2016 09:17:57 +0900

opencv (3.1.0+dfsg-1~exp1) experimental; urgency=medium

  * Add old header files into libopencv-dev.
  * Update debian/control.
    - Add Replaces and Conflicts to libopencv-dev.
    - Fix version of libopencv3.1-jni for libopencv3.1-java.
    - Fix Depends of libopencv-dev. Add libopencv3.1-java. (Closes: #833616)
    - Add libopencv-shape-dev to Depends of libopencv-dev. (Closes: #818738)
    - Add libtbb-dev to Depends of libopencv-core-dev. (Closes: #838916)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 18 Oct 2016 06:22:32 +0900

opencv (3.1.0+dfsg-1~exp0) experimental; urgency=medium

  * Update to 3.1.0.
  * Add patches/disable_opengl_test_build.
  * Add libjs-mathjax to Depends of opencv-doc and debian/patches/mathjax.
  * Add libjs-jquery to Depends of opencv-doc and add
    debian/patches/change_jquery.js_path.
  * Update Standards-Version to 3.9.8.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 25 Jun 2016 06:15:45 +0900

opencv (3.0.0+dfsg-1~exp7) experimental; urgency=medium

  * Fix libopencv_shape dependencies.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jul 2016 15:07:29 +0200

opencv (3.0.0+dfsg-1~exp6) experimental; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * Fix missing install of opencv2/core.hpp

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jul 2016 08:39:25 +0200

opencv (3.0.0+dfsg-1~exp5) experimental; urgency=medium

  * Fix libvtk6.3 runtime dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Jul 2016 10:08:15 +0200

opencv (3.0.0+dfsg-1~exp4) experimental; urgency=medium

  * Upload again on experimental, to build against new gdal 2.1.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Jul 2016 10:07:18 +0200

opencv (3.0.0+dfsg-1~exp3) experimental; urgency=medium

  [ Andreas Cadhalpun ]
  * Fix build with ffmpeg 3.0. (Closes: #803847)

  [ Gianfranco Costamagna ]
  * Team upload
  * merge unstable NMUs
  * rebase ffmpeg patch
  * Disable optimize i586 patch, now Debian has i686

  [ Tobias Frost ]
  * Do not use precompiled headers (Closes: #818450)

  [ Mattia Rizzolo ]
  * Use HTTPS in Vcs-* fields.
  * Disable opengl when building in armhf (in Ubuntu only)
  * Don't build with jasper.  Closes: #818207
    - This causes libopencv-highgui to lose symbols, but we don't rename the
      package because the breakage is in experimental only.
  * Fix typo in README.Debian.
  * Remove unused lintian override python-script-but-no-python-dep.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Jul 2016 15:43:15 +0200

opencv (3.0.0+dfsg-1~exp2) experimental; urgency=medium

  * Fix FTBFS on i386.
  * Build with -march=i586 instead of -march=i686 on i386.
    Add debian/patches/optimize_i586.patch.
  * Fix FTBFS on x32. (Closes: #792264)
    Add debian/patches/support_x32. Thanks to Thorsten Glaser <tg@mirbsd.de>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Jan 2016 23:48:01 +0900

opencv (3.0.0+dfsg-1~exp1) experimental; urgency=medium

  * Update to 3.0.0 (Closes: #792677, #805099; LP: #1516985).
  * Remove libopencv-legacy and libopencv-contrib.
    These features are not provided from the new version.
  * Remove old packages (libcv*, libhighgui*, libcvaux*).
  * Add support gdal and vtk.
  * Enable parallel building.
  * Remove image files of Lena (Closes: #794856).
  * Add debug packages (Closes: #803404).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 10 Dec 2015 00:07:44 +0900

opencv (2.4.11+dfsg-1) unstable; urgency=medium

  * Update to 2.4.11.
  * Update debian/control.
    - Bumped standards-version to 3.9.6.
  * Remove image files of Lena (Closes: #794856)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Dec 2015 00:36:05 +0900

opencv (2.4.9.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches:
    - Add fix_ftbfs_with_gcc6 to fix FTBFS with gcc-6. (Closes: #828928)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 04 Oct 2016 17:07:49 +0200

opencv (2.4.9.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Use HTTPS in Vcs-* fields.
  * Disable opengl when building in armhf (in Ubuntu only)
  * Don't build with jasper.  Closes: #818207
    This causes libopencv-highgui to lose symbols, so we need to rename the
    package and do a transition.
  * Fix typo in README.Debian.
  * Remove unused lintian override python-script-but-no-python-dep.
  * Add missing dependency on libopencv-gpu2.4v5 to libopencv-gpu-dev.
    Closes: #825583

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Jun 2016 05:08:42 +0000

opencv (2.4.9.1+dfsg-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not use precompiled headers (Closes: #818450)

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Apr 2016 16:43:31 +0200

opencv (2.4.9.1+dfsg-1.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Cadhalpun ]
  * Fix build with ffmpeg 3.0. (Closes: #803847)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Mar 2016 23:57:30 +0100

opencv (2.4.9.1+dfsg-1.3) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Refresh debian/patches:
    - Update change_type_from_int_to_Atomic_word to fix
      FTBFS on sparc64. (Closes: #714923)
    - Re-add fix_without_sysctl.patch to fix FTBFS on x32. (Closes: #792264)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 08 Feb 2016 10:51:45 +0100

opencv (2.4.9.1+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition.
    Patch provided by Matthias Klose. (Closes: #791226)
  * Remove Lintian overrides from Matthias' patch, current Lintian accepts
    v5 package names as-is.
  * Build-depend on the version of openexr that started its transition.
  * Add patch to stop checking the version of sphinx-build (which makes
    no difference anyway), fixing arch-indep build (#792715; not closing
    that bug here because it is unclear whether it is considered to be a
    sphinx bug).
  * Deliberately not addressing #794856 in this upload, since it requires
    repacking the orig.tar and is not a regression.

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Aug 2015 22:36:43 +0100

opencv (2.4.9.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bernhard Übelacker ]
  * Build with -march=i586 instead of -march=i686 on i386. (Closes: #784647)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 15 May 2015 21:34:12 +0200

opencv (2.4.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add support ppc64el. (Closes: #754094)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 19 Sep 2014 11:04:13 +0900

opencv (2.4.9+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes:#753689)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 01 Jul 2014 07:58:34 +0900

opencv (2.4.8+dfsg1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix version in symbolic links for libopencv2.4-java (closes: #747500)

 -- Gilles Filippini <pini@debian.org>  Wed, 21 May 2014 07:52:52 +0200

opencv (2.4.8+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libav10.patch by Anton Khirnov to allow compilation against
    Libav10 (Closes: #739440)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 May 2014 09:57:31 -0400

opencv (2.4.8+dfsg1-2) unstable; urgency=medium

  * Update debian/control.
    - Add libopencv-java and libopencv-jni to Depends of libopencv-dev.
    - Update depends of libopencv-jni, libopencv-java and libopencv-dev.
  * Update debian/libopencv2.4-jni.install.
    Fix install path of libopencv_java248.so
  * Update debian/rules.
    Fix install path of jni library.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 18 Feb 2014 06:16:59 +0900

opencv (2.4.8+dfsg1-1) unstable; urgency=low

  * Update to new source.
    Remove Milky directory in modules/highgui/src/files_Qt/.
  * Update debian/control.
    Add libopencv-ocl-dev to Depends of libopencv-dev. (Closes: #737584)
  * Update libopencv-dev.install.
    Install OpenCVModules-release.cmake and OpenCVModules.cmake.
    (Closes: #737153)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 12 Feb 2014 16:37:21 +0900

opencv (2.4.8+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 14 Jan 2014 12:28:02 +0900

opencv (2.4.7+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #732063)
  * Add patches/revert-Make-ts-always-static.
  * Add ocl library. (Closes: #732028, #720092)
  * Add java library. (Closes: #728221)
  * Update debian/control.
    - Remove Vcs-Svn field and add Vcs-Git field.
    - Update Vcs-Browser field.
    - Update Homepage field.
    - Bumped standards-version to 3.9.5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 03 Dec 2013 08:17:57 +0900

opencv (2.4.6.1+dfsg-2) unstable; urgency=low

  [ Anton Gladky ]
  * Replace libeigen2-dev by libeigen3-dev. (Closes: #726155)

  [ Nobuhiro Iwamatsu ]
  * FTBFS on sparc64. (Closes: #714923)
    Add patches/change_type_from_int_to_Atomic_word.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 23 Nov 2013 11:31:08 +0900

opencv (2.4.6.1+dfsg-1) unstable; urgency=low

  * Upload to unstable. (Closes: #719998, #716811)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Sep 2013 06:28:00 +0900

opencv (2.4.6.1+dfsg-0exp4) experimental; urgency=low

  * Update debian/control.
    - Fix fails to upgrade from testing by opencv-data. (Closes: #722927)
    - Change Vcs host to anonscm.debian.org.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 20 Sep 2013 08:16:39 +0900

opencv (2.4.6.1+dfsg-0exp3) experimental; urgency=low

  * Update patches/pkg-config. (Closes: #678222, #721894)
    Fix broken pkg-config file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Sep 2013 13:51:39 +0900

opencv (2.4.6.1+dfsg-0exp2) unstable; urgency=low

  * Update debian/rules.
    - Move configuration for 1394 and V4L to CMAKE_ARCH_FLAGS.
      Thanks to Pino Toscano.
    - Change from target name from override_dh_fixperms to
      override_dh_fixperms-indep.
  * Add fix_ftbfs_on_non_linux.patch.
    Fix FTBFS on non linux. (Closes: #719741)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 04 Sep 2013 10:22:46 +0900

opencv (2.4.6.1+dfsg-0exp1) experimental; urgency=low

  * New upstream release.
  * Update debian/control.
    - Add libgtkglext1-dev, libgl1-mesa-dev and libglu1-mesa-dev
      to Build-Depends.
    - Remove swig from Build-Depends.
  * Update debian/rules.
    - Enable OpenGL.
  * Update patches.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Aug 2013 12:37:41 +0900

opencv (2.4.5+dfsg-0exp1) experimental; urgency=low

  * New upstream release. (Closes: #716811)
  * Update debian/control.
    - Add support all arch with TBB support. (Closes: 701195)
    - Add opencv-data. Move haarcascades and lbpcascades's data to this.
      (Closes: #711385)
  * Update debian/rules.
    - Add python2 to dh of sequence.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 12 Jul 2013 13:00:43 +0900

opencv (2.4.3+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 10 Dec 2012 01:01:14 +0900

opencv (2.4.2+dfsg-0exp2) experimental; urgency=low

  * Update debian/control.
    - Dump cmake version to 2.8.7.
      When old cmake is used, building failed.
  * Update libopencv-core-dev.install.
    - Add opencv2/opencv_modules.hpp.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 24 Jul 2012 12:22:11 +0900

opencv (2.4.2+dfsg-0exp1) experimental; urgency=low

  * New upstream release.
  * Update debian/control.
    - Changed Depends from libtiff4-dev to libtiff-dev. (Closes: #682238)
    - Support eigen2. Add libeigen2-dev to Build-Depends.
  * Update install file.
    Change path of samples and add python2.
  * Update debian/rules.
    - Remove chmod line. Removed build_all.sh.
    - Add -r for option of rm command.
  * Update patches/build-static-libs.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 16 Jul 2012 04:03:56 +0900

opencv (2.4.1+dfsg-0exp2) experimental; urgency=low

  * Update package description.
  * Add patches/pkg-config.patch.
    This changed library specification method in pkgconfig.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 26 Jun 2012 16:19:21 +0900

opencv (2.4.1+dfsg-0exp1) experimental; urgency=low

  * New upstream release.
  * Update debian/rules.
    - Enable hardening option.
  * Update debian/control.
    - Fix wrong package name.
    - Add python-numpy-abi9 and python-numpy (>= 1:1.6.1) to python-opencv.
      Fix lintian error for missing-dependency-on-numpy-abi.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Jun 2012 08:54:31 +0900

opencv (2.4.0+dfsg-0exp1) experimental; urgency=low

  * New upstream release. (Closes: 671377)
    - Add stitching, ts, videostab and photo packages.
    - Remove gpu package.
  * Update debian/control.
    - Bumped Standards-Version to 3.9.3. No changes needed.
    - Update Homepage field.
  * Update debian/rules.
    - Remove unnecessary option of build config.
  * Update patches.
    - 0005-build-static-libs.patch
    - 0007-typos-in-strings-docs.patch
    - 0013_drop_asm_types_h_kfreebsd.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 May 2012 12:42:17 +0900

opencv (2.3.1-10) unstable; urgency=high

  * Update debian/control.
    - Add Replaces and Breaks of libopencv-core-dev to libopencv-dev.
      (Closes: #674242)
    - Cleanup Depends of packages.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 29 May 2012 08:43:39 +0900

opencv (2.3.1-9) unstable; urgency=low

  * Update debian/control.
    - pkg-config and binarys move from libopencv-core-dev to libopencv-dev.
	  (Closes: #671376, #658197)
    - Drop Replaces and Breaks from libopencv-core-dev. (Closes: #668708)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 22 May 2012 12:17:09 +0900

opencv (2.3.1-8) unstable; urgency=low

  * Add support TBB.
  * Fix getting value of dpkg-architecture.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 02 Feb 2012 12:40:01 +0900

opencv (2.3.1-7) unstable; urgency=low

  * Update debian/libopencv-core-dev.install.
    - Change install path of OpenCVConfig.cmake from usr/share/opencv/
      to usr/share/OpenCV. (Closes: #658196)
    - usr/share/OpenCV/OpenCVConfig-version.cmake was added to the
      installation file of libopencv-core-dev.
  * Add debian/*-dev.docs.
    This provides README.Debian with *-dev packages.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 02 Feb 2012 02:39:05 +0900

opencv (2.3.1-6) unstable; urgency=low

  * Fix installation of usr/include/opencv2/opencv.hpp. (Closes: #656860)
    Update debian/libopencv-core-dev.install.
  * Remove old build flags and add optimize flag for amd64.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 31 Jan 2012 08:08:00 +0900

opencv (2.3.1-5) unstable; urgency=low

  * Fix FTBFS with libav 0.8. (Closes: #654220)
    Add patches/0014_fix_ftbfs_libav0.8.patch.
  * Update debian/control.
    Add python-sphinx to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 27 Jan 2012 05:36:29 +0900

opencv (2.3.1-4) unstable; urgency=low

  * Update patches/0013_drop_asm_types_h_kfreebsd.patch.
    Drop <asm/types.h>, not <sys/types.h>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 21 Dec 2011 17:01:12 +0900

opencv (2.3.1-3) unstable; urgency=low

  * Update debian/README.Debian.
  * Update debian/control.
    - Update Depends package for libopencv-dev.
  * Fix build on kfreeBSD. (Closes: #651872)
    Update patches/0013_drop_asm_types_h_kfreebsd.patch.
    Thanks to Julien Cristau.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 21 Dec 2011 12:02:10 +0900

opencv (2.3.1-2) unstable; urgency=low

  * Update debian/control.
    - Adjusted version for Replaces and Breaks of libopencv-core-dev.
      (Closes: #651988). Thanks to Ansgar Burchardt.
  * Fix build on kfreeBSD. (Closes: #651872)
    Add patches/0013_drop_asm_types_h_kfreebsd.patch.
    Thanks to Julien Cristau.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 20 Dec 2011 17:10:11 +0900

opencv (2.3.1-1) unstable; urgency=low

  * Upload to unstable.
  * Update debian/control.
    Switch Build-Depends from libong62-dev to libpng-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 12 Dec 2011 12:06:57 +0900

opencv (2.3.1-0exp1) experimental; urgency=low

  * New upstream release.
  * Update debian/control.
    - Fix uses hardcoded list of non-Linux architectures in debian/control.
      (Closes: #634365)
  * Add lintian overrides files.
  * Update install files.
  * Update and remove some patches.
    - Update patches/0005-build-static-libs.patch.
    - Update patches/0007-typos-in-strings-docs.patch.
    - Update patches/0011_optimize_i486.patch.
    - Remove patches/0001-fix_3rdparty_build.patch.
    - Remove patches/0006-typos-in-license.patch.
    - Remove patches/0012_cvcap_ffmpeg_fix_compile_against_libav0.7.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Aug 2011 12:04:49 +0900

opencv (2.3.0-0exp4) experimental; urgency=low

  * Fix FTBFS with libav 0.7. (Closes: #634818)
    Add patches/vcap_ffmpeg_fix_compile_against_libav0.7.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 27 Jul 2011 01:51:25 +0900

opencv (2.3.0-0exp3) experimental; urgency=low

  * Add libopencv-dev package.
    This is a meta package providing development package necessary for
    development of OpenCV (Open Computer Vision).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Jul 2011 02:46:05 +0900

opencv (2.3.0-0exp2) experimental; urgency=low

  * Update debian/control
    - Switch Build-Depends from libjpeg62-dev to libjpeg-dev for libjpeg8
      transition.
    - Add zlib1g-dev Build-Depends of libopencv-core-dev.
    - Add some development package to Build-Depends of libopencv-highgui-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 12 Jul 2011 08:54:37 +0900

opencv (2.3.0-0exp1) experimental; urgency=low

  * New upstream release.
    - Update install files.
    - Update some patches for 2.3.
	  patches/0005-build-static-libs.patch
      patches/0001-fix_3rdparty_build.patch
      patches/0011_optimize_i486.patch
    - Remove some patches revised in upstream.
      patches/0002-fix_build_pdf.patch patches/0003-hurd.patch
      patches/0004-fix_stdint_gcc45.patch patches/0009_support_v4lv2_only.patch
	  patches/0008_fix_ftbfs_with_gcc-4.6.patch patches/0010_fix_ftbs_png15.patch
  * Update debian/control.
    - Update depends of packages.
  * Update debian/rules.
    - Update path of hdr_parser.pyc from modules/python to
      modules/python/src2.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Jul 2011 09:47:09 +0900

opencv (2.2.0-0exp2) experimental; urgency=low

  * Add libopencv-contrib-dev to Depends of libcvaux-dev (Closes: #632439).
    Thanks to Mark Purcell.
  * Arranged the dependence.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 05 Jul 2011 13:30:06 +0900

opencv (2.2.0-0exp1) experimental; urgency=low

  * New upstream release. (Closes: #623532, #563428, #604642)
    - Update, refresh and prune debian/patches.
    - Account for upstream splitting/renaming libs:
      + generate N dynamic library packages.
      + name all library package as libopencv-*.
    - Update debian/copyright.
    - Remove debian/README.source.
    - Update debian/*.install scripts.
    - Update lintian overrides.
    - Add libv4l-dev to Build-Depends.
  * Bump to dh 8.
  * Switch to source format 3.0 (quilt).
  * Patch minor upstream typos.
  * Fix formatting in debian/man/opencv_traincascade.1.
  * Bumped standards-version to 3.9.2.  No changes needed.
  * Update debian repository pointers for new alioth hosts.
  * Add support openexr.
  * Move usr/share/opencv/haarcascades and usr/share/opencv/lbpcascades
    to libopencv-core-dev (Closes: #598356).
  * Fix build using gcc-4.6 (Closes: #624917).
    - Add patches/0008_fix_ftbfs_with_gcc-4.6.patch.
  * Fix build without v4l1 (Closes: #623418).
    - Add patches/0009_support_v4lv2_only.patch.
  * Fix build with libpng15.
    - Add patch/0010_fix_ftbs_png15.patch.
  * Fix optimize of i386 (Closes: 629414).
    - Opencv was optimized to i686. This chenged optimization to i486.
    - Add patch/0011_optimize_i486.patch.
  * If build architecture is amd64, enable SSE2 option.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 27 Jun 2011 11:51:39 +0900

opencv (2.1.0-4) unstable; urgency=low

  * Fix install path of opencv-doc (Closes: #610803).
  * Fix FTBFS on gcc-4.5(Closes: #607086, #618045).
    - Add patches/fix_stdint_gcc45.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 16 Mar 2011 01:55:22 +0900

opencv (2.1.0-3) unstable; urgency=low

  * Fix set opencv minor version on Python (Closes: #600836).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 02 Nov 2010 19:55:47 +0900

opencv (2.1.0-2) unstable; urgency=low

  * Update debian/control.
    - Bumped standards-version to 3.9.1. No changes needed.
    - Add python-numpy to Build-depends (Closes: #593310)
  * Add hurd support patch (Closes: #589586).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Aug 2010 01:49:14 +0900

opencv (2.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #577594, #587232, #563717)
  * Update debian/rules.
    - Update build-system to debhelper v7.
  * Update debian/control.
    - Bumped standards-version to 3.9.0. No changes needed.
    - library package name update.
      Soname of opencv library changed from 4 to 2.1.
    - Add cmake, liblapack-dev, texlive-fonts-extra, texlive-latex-extra,
      texlive-latex-recommended, latex-xcolor and  texlive-fonts-recommended
      to Build-depends.
    - Add arch depends to libraw1394-dev and libdc1394-22-dev.
      Thanks to Pino Toscano. (Closes: #581210)
  * Add opencv-doc.lintian-overrides.
    opencv-doc has some sample program of python.
  * Update man files.
  * Update patches
    - Update and rename 500_remove_bashism.patch.
      And rename to remove_bashism.patch.
  * Add new patches.
    - Enable build static library.
      enable_static.patch
    - Disable build 3rd party library.
      Use zlib and lapack in debian package.
      fix_3rdparty_build.patch
    - Fix build pdf.
      fix_build_pdf.patch
    - Remove cvconfig.h
      remove_cvconfig.h.patch
  * Remove some patches.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 16 Jul 2010 13:12:28 +0900

opencv (2.0.0-4) unstable; urgency=low

  * Update debian/control.
    - Bumped standards-version to 3.8.4. No changes needed.
  * Change install path of python-opencv. (Closes: #565121)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 14 Mar 2010 13:19:00 +0900

opencv (2.0.0-3) unstable; urgency=low

  * Remove libcv1, libhighgui1 and libcvaux1 from Conflicts and Replaces.
    (Closes: #560283)
  * Remove cvconfig.h from libcv-dev package. (Closes: #559857)
    Update libcv-dev.install and backport r2242 of commit from upstream.
    Thanks to Filippo Giunchedi.
    debian/patches/110_backport_r2242.diff
  * Fix FTBFS with GCC 4.4. (Closes: #562742)
    Backport r2255 of commit from upstream. Thanks to Filippo Giunchedi.
    debian/patches/110_backport_r2255.diff

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Jan 2010 20:48:47 +0900

opencv (2.0.0-2) unstable; urgency=low

  * Add cvconfig.h to libcv-dev. (Closes: #559857)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 08 Dec 2009 10:00:14 +0900

opencv (2.0.0-1) unstable; urgency=low

  * New upstream release. (Closes: #507588, #549997, #492445)
  * Update Standards-Version to 3.8.3
  * Add debian/README.source
  * Add libdc1394-22-dev to Build-Depends. (Closes: #507584, #516794)
  * Remove libcvaux-dev and libhighgui-dev from Depends of libcv-dev.
    (Closes: #525023)
  * Remove all .la files.
  * Update debian/watch file. (Closes: #557140)
  * Update debian/rules file.
    Add --disable-sse and --disable-optimization to configure.
  * Remove bashism. (Closes: #530153)
    500_remove_bashism.patch
  * Update debian/patches
    010_m4_syntax.diff
    010_fix_optimisations.diff
    010_makefile_syntax.diff
    010_python_cspec.diff
    020_python_linking.diff
    100_static_inline.diff
    100_amd64.diff
    120_header_warnings.diff
  * Remove debian/patches
    - Merge to upstream
      030_install_hook.diff
      100_ffmpeg_updates.diff
      210_openmp_compilation.diff
      300_fix_segfault_in_window_gtk.diff
      400_ffmpeg_splitting_autofoo.diff
      410_ffmpeg_use_swscale.diff
      420_typedef_longint.diff
      430_highgui_jpeg_camera.diff
    - Don't need new version
      010_ffmpeg_linking.diff
      050_rebootstrap.diff
      200_documentation.diff
      500_ftbfs_gcc44.diff

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 01 Dec 2009 01:13:18 +0900

opencv (1.0.0-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against new libraw1394 (Closes: #516646, #516920)
  * Add libhighgui-dev dependency on libswscale-dev thanks Giel van Schijndel
    (Closes: #547729)
  * debian/patches/420_typedef_longint.diff: define int64/uint64 as int64_t
    and uint64_t respectively, patch pulled from upstream r2163
    (Closes: #543546)
  * debian/patches/410_ffmpeg_use_swscale.diff: move
    #define __STDC_CONSTANT_MACROS before #include <stdint.h> into
    debian/patches/420_typedef_longint.diff
  * debian/patches/500_ftbfs_gcc44.diff: fix FTBFS with gcc-4.4
    thanks to Martin Michlmayr (Closes: #504831)
  * debian/patches/430_highgui_jpeg_camera.diff: recognize JPEG cameras
    (Closes: #536041)

 -- Filippo Giunchedi <filippo@debian.org>  Sat, 14 Nov 2009 17:04:41 +0100

opencv (1.0.0-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Port to newer ffmpeg. Closes: #487638, #490700, #493915
    Loosely based on patch Gijs Molenaar, thanks.

 -- Thomas Viehmann <tv@beamnet.de>  Thu, 09 Jul 2009 21:43:02 +0200

opencv (1.0.0-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    + Dropped build dependency on libdc1394-22-dev (Closes: #497689)
    + Added ${misc:Depends} where missing

 -- Raphael Geissert <atomo64@gmail.com>  Thu, 11 Sep 2008 14:36:06 -0500

opencv (1.0.0-6) unstable; urgency=low

  * debian/patches/120_header_warnings.diff:
    + Fix more warnings in shipped headers.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 28 Aug 2008 22:53:43 +0000

opencv (1.0.0-5) unstable; urgency=high

  [ Daniel Leidert ]

  * debian/control: Added Homepage field.
    (Vcs-Svn): Fixed.
    (Depends, Build-Depends): Added libjasper-dev (closes: #428474).
  * debian/dirs: Removed (useless). Avoids empty directories.
  * debian/libcv-dev.install: Small cosmetic fix.
  * debian/libcv-dev.manpages: Added for haartraining utilities.
  * debian/opencv-createsamples.1: Initially added.
  * debian/opencv-haartraining.1: Ditto.
  * debian/opencv-performance.1: Ditto.
  * debian/opencv-doc.install: Install Makefile.debian here.
  * debian/rules (install, binary-arch, binary-indep): Removed most of the
    unused debhelper calls. Let dh_install exclude files we don't want. Don't
    install examples twice. Removed installation of opencv-config.1 (closes:
    #407946).
  * debian/watch: Added.
  * debian/patches/300_fix_segfault_in_window_gtk.diff: Added. Merged from
    Ubuntu.
  * debian/patches/series: Adjusted.

  [ Sam Hocevar ]

  * High urgency to ease testing propagations.
  * debian/patches/100_ffmpeg_updates.diff:
    + Updated patch to latest ffmpeg version (Closes: #482217).
  * debian/patches/020_python_linking.diff:
    + Link python bindings with required libraries.
  * debian/patches/030_install_hook.diff:
    + Use install-exec-hook instead of install-hook.

  * debian/control:
    + Build-depend on more recent libavcodec-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 08 Jun 2008 15:01:18 +0000

opencv (1.0.0-4) unstable; urgency=low

  * debian/rules:
    + Support CONCURRENCY_LEVEL.
    + Don't ignore make distclean errors.

  * debian/control:
    + Add ${shlibs:Depends} to -dev packages, to get a proper dependency
      when these packages ship binaries.
    + Use ${binary:Version} instead of ${Source-Version} (Closes: 430726).
    + Set policy to 3.7.3.
    + Use Vcs-Svn: instead of XS-Vcs-Svn: fields.

  * debian/patches/100_ffmpeg_updates.diff:
    + Updated patch. Getting and setting framerate in FFmpeg streams now
      works properly again. Thanks to Eric Beets for half the fix.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 10 Mar 2008 16:41:56 +0000

opencv (1.0.0-3) unstable; urgency=low

  * debian/control:
    + Set maintainer to the pkg-scicomp team.
    + Updated Vcs fields.
  * debian/compat:
    + Set compat version to 5.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  1 Apr 2007 15:19:15 +0200

opencv (1.0.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/120_header_warnings.diff:
    + New patch. Fix warnings in shipped headers.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 28 Mar 2007 19:02:18 +0200

opencv (1.0.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    + Depend on pkg-config now that opencv-config is deprecated.
  * debian/rules:
    + Do not remove haartraining files (Closes: #368568).

  * debian/patches/010_python_cspec.diff:
    + New patch. Add -fno-strict-aliasing because of numerous aliasing
      issues in the code (Closes: #388129).

  * debian/patches/110_dc1394.diff:
    + Fix a few bugs in the dc1394 code.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 14 Nov 2006 17:12:26 +0100

opencv (0.9.7-4) unstable; urgency=low

  * Migrate package to the new python policy (Closes: #373469), thanks to
    Pierre Habouzit.
  * debian/control: add XS-Vcs-Svn information.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 12 Oct 2006 09:21:14 +0200

opencv (0.9.7-3) unstable; urgency=low

  * debian/patches/110_dereferencement.diff:
    + Fix compilation warnings due to type-punned pointer dereferencement.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 12 Jun 2006 12:14:44 +0200

opencv (0.9.7-2) unstable; urgency=low

  * Switched patch system from dpatch to quilt.
  * debian/control:
    + Set policy to 3.7.2.
    + Build-depend on newer versions of libavcodec-dev so that we can get
      dynamically linked with it.
    + Build-depend on quilt instead of dpatch.

  * debian/patches/010_enable_static.diff:
    + Old patch -- enable static libraries.

  * debian/patches/010_ffmpeg_linking.diff:
    + Old patch -- correct ffmpeg linking.

  * debian/patches/010_fix_optimisations.diff:
    + Old patch -- fix optimisation flags for GCC bug workarounds.

  * debian/patches/010_m4_syntax.diff:
    + Old patch -- fix m4 syntax.

  * debian/patches/010_makefile_syntax.diff:
    + Old patch -- fix Makefile.am syntax.

  * debian/patches/010_proper_sonames.diff:
    + Old patch -- fix library sonames.

  * debian/patches/020_rebootstrap.diff:
    + Old patch -- rebootstrap package.

  * debian/patches/100_amd64.diff:
    + Fix inclusion of <emmintrin.h> on AMD64 (Closes: #365752, #366105).

  * debian/patches/100_ffmpeg_updates.diff:
    + Old patch -- update ffmpeg code to get in sync with newer API.

  * debian/patches/100_python_files.diff:
    + Old patch -- remove shebang from non-executable python files.

  * debian/patches/100_static_inline.diff:
    + Old patch -- replace inline with static inline in public headers.

  * debian/patches/200_documentation.diff:
    + Old patch -- get documentation in sync with the API.

  * debian/patches/200_examples_makefile.diff:
    + Old patch -- add a Makefile to the examples directory.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 14 May 2006 05:40:42 +0200

opencv (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Maintainer upload.
  * Acknowledging previous NMU (Closes: #339240). Thanks to Steve Langasek.
  * debian/control:
    + Build-depend on swig because of the Python bindings.
    + Renamed 0.9-0c2 packages to 0.9.7-0 due to API changes.
    + Depend and build-depend on libavformat-dev.
  * debian/rules:
    + Activated Python wrappers.
    + Build example apps.
  * cxtypes.h highgui.h: Replace "static" with "static inline" for inline
    functions declared in the public headers.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 19 Apr 2006 09:37:55 +0200

opencv (0.9.6-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename libcvaux0.9-0c2 to libcvaux0.9-0c2a for the C++ mt allocator ABI
    transition, and conflict/replace libcvaux0.9-0c2 accordingly
    (closes: #339240).

 -- Steve Langasek <vorlon@debian.org>  Sat,  3 Dec 2005 21:27:40 -0800

opencv (0.9.6-4) unstable; urgency=low

  * tests/cv/src/asobel.cpp:
    + Fixed an illegal int/void* cast.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 26 Sep 2005 19:39:52 +0200

opencv (0.9.6-3) unstable; urgency=low

  * debian/control:
    + Build-depend on a newer libavcodec-dev.
    + Make libhighgui-dev depend on all required -dev packages such as
      libtheora-dev (Closes: #319018).
  * debian/rules:
    + Hint --build and --host to configure.
  * configure.in:
    + Use -O2 on m68k instead of -O3 to bypass gcc ICEs (Closes: #321106).
  * tests/cv/src/apyramids.cpp: fixed 64 bits compilation (Closes: #318791).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 16 Sep 2005 11:53:13 +0200

opencv (0.9.6-2) unstable; urgency=low

  * The great g++ transition upload.
  * debian/control:
    + Renamed 0.9-0 packages to 0.9-0c2.
    + Set policy to 3.6.2.1.
    + Build-depend on a newer libavcodec-dev.
  * docs/index.htm:
    + Encoded invalid HTML characters.
    + Fixed links to the reference manual (Closes: #306922).
  * docs/ref/opencvref_cv.htm:
    + Encoded invalid HTML characters.
    + Fixed the definition of CvHistogram (Closes: #307269).
  * otherlibs/highgui/cvcap.cpp:
    + Hardcoded the capture framerate because ffmpeg no longer easily provides
      the information.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 14 Jul 2005 15:48:31 +0200

opencv (0.9.6-1) unstable; urgency=low

  * New upstream release (Closes: #267825).
  * Major upstream changes:
    + This release merged most Debian-specific patches upstream.
    + This version now uses pkg-config instead of opencv-config.
    + This version uses GTK+ instead of Motif widgets.
    + Example programs were fixed (Closes: #254150).
  * debian/control:
    + Build-depend on libdc1394 and libavcodec. As a result, build no longer
      fails if libavcodec-dev is installed (Closes: #270345).
  * debian/copyright:
    + Fixed upstream URL (Closes: #270344).
  * cvaux/src/cvvideo.cpp: the code portion causing an FTBFS on amd64 is no
    longer there (Closes: #297625).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  1 Apr 2005 19:30:58 +0200

opencv (0.9.5-10) unstable; urgency=high

  * debian/patches/30_delete.dpatch:
    + Fixed a crash at program exit (Closes: #269799).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  3 Sep 2004 21:59:26 +0200

opencv (0.9.5-9) unstable; urgency=high

  * debian/control:
    + Build-depend on lesstif2-dev to take advantage of new Motif 2 features.
    + libhighgui-dev depends on lesstif2-dev as well.
  * debian/patches/20_old.dpatch:
    + No longer patch/unpatch the Makefiles to avoid clock skew issues
      (Closes: #266622).
  * debian/patches/30_delete.dpatch:
    + Fixed delete[] / delete mismatches.
  * debian/patches/30_window_lnx.cpp.setTrackbarPos_crash.dpatch:
    + Fix a crash in cvSetTrackbarPos() for closed windows, courtesy of
      micha137 at users.sourceforge.net.
  * debian/patches/40_linux_trackbar.dpatch
    debian/patches/30_linux_mouse.dpatch:
    + Add arrows to trackbars, courtesy of Filip Sadlo.
    + Fixed position of mouse button events, courtesy of Filip Sadlo.
  * debian/patches/30_render.dpatch:
    + Fixed pointer casts, courtesy of buddha_pht at users.sourceforge.net.
  * debian/patches/30_xshm.dpatch:
    + Don't use XShm over network connections.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 17 Aug 2004 18:01:23 +0200

opencv (0.9.5-8) unstable; urgency=low

  * debian/control:
    + Added missing build dependency on dpatch (Closes: #262209).
  * debian/rules:
    + Call unpatch before make clean.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 30 Jul 2004 08:34:59 +0200

opencv (0.9.5-7) unstable; urgency=low

  * Rebuilt against libtiff4 due to an ABI change.
  * Fixed numerous compilation warning due to pointer/int size assumptions and
    char signedness assumption.
  * debian/control:
    + Set policy to 3.6.1.1.
    + Switched packaging method to dpatch.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 25 Jul 2004 21:54:33 +0200

opencv (0.9.5-6) unstable; urgency=low

  * cv/include/cvcompat.h cv/include/cvtypes.h:
    + Fixed more C preprocessor warnings.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 30 Jun 2004 14:04:12 +0200

opencv (0.9.5-5) unstable; urgency=low

  * cv/include/cv.h:
    + Fixed C preprocessor warnings.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 30 Jun 2004 11:59:36 +0200

opencv (0.9.5-4) unstable; urgency=low

  * debian/control:
    + Added missing lesstif-dev build dependency to the libhighgui-dev
      package (Closes: #252304).
  * debian/README.Debian:
    + Minor updates.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  2 Jun 2004 13:27:07 -0300

opencv (0.9.5-3) unstable; urgency=low

  * debian/rules:
    + Enabled static libraries in the build (Closes: #249471).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 19 May 2004 21:48:47 +0200

opencv (0.9.5-2) unstable; urgency=low

  * debian/control:
    + Added libxaw7-dev to the build dependencies.
    + Added libxaw7-dev to the libcvcam-dev dependencies.
  * debian/copyright:
    + Removed a duplicate copyright entry.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 28 Apr 2004 10:25:56 +0200

opencv (0.9.5-1) unstable; urgency=low

  * Initial release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 22 Apr 2004 14:55:19 +0200
